--- linux/arch/i386/kernel/pci-i386.c.orig	Sun Nov  3 11:17:04 2002
+++ linux/arch/i386/kernel/pci-i386.c		Sun Nov  3 10:58:45 2002
@@ -268,6 +268,18 @@
 		for(idx=0; idx<6; idx++) {
 			r = &dev->resource[idx];
 
+                    /* HACK 
+                     * Reinhard Moosauer, 2002-07-25 
+                     */ 
+                      if ((class == PCI_CLASS_STORAGE_IDE && idx < 4) && 
+                          (!r->start && r->end)) { 
+                            printk(KERN_ERR "HACK: INTEL IDE Workaround for" 
+                                   " %s Resource %d\n", dev->slot_name, idx); 
+
+                       /* I ACCEPT NO RESPOSIBILITY FOR ANY DAMAGE */ 
+                         pci_assign_resource(dev, idx); 
+                      }
+
 			/*
 			 *  Don't touch IDE controllers and I/O ports of video cards!
 			 */
